gnutls_x509_crt_get_extension_oid(3)

NAME
gnutls_x509_crt_get_extension_oid - get the specified extension OID

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_oid(gnutls_x509_crt_t cert, int indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

int indx
    Specifies which extension OID to send. Use zero to get the first one.

void * oid
    a pointer to a structure to hold the OID (may be null)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will return the requested extension OID in the certificate. The extension OID will be stored as a string in the provided buffer.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned. If you have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.